Package org.pushingpixels.trident.swt

# Class SWTRepaintTimeline

java.lang.Object
org.pushingpixels.trident.Timeline
org.pushingpixels.trident.swt.SWTRepaintTimeline

All Implemented Interfaces:
  `TimelineScenario.TimelineScenarioActor`

public class SWTRepaintTimeline extends Timeline

## Nested Class Summary

## Nested classes/interfaces inherited from class org.pushingpixels.trident.Timeline

`Timeline.RepeatBehavior, Timeline.TimelineState`

## Field Summary

### Fields inherited from class org.pushingpixels.trident.Timeline

`id`

## Constructor Summary

Constructors
Constructor
Description
`SWTRepaintTimeline(org.eclipse.swt.widgets.Control mainTimelineComp)`
`SWTRepaintTimeline(org.eclipse.swt.widgets.Control mainTimelineComp, org.eclipse.swt.graphics.Rectangle toRepaint)`

## Method Summary

Modifier and Type
Method
Description
`void`
`forceRepaintOnNextPulse()`
`void`
`play()`
`void`
`playLoop(int loopCount, Timeline.RepeatBehavior repeatBehavior)`
`void`
`playReverse()`
`void`
`replay()`
`void`
`replayReverse()`
`void`
`setAutoRepaintMode(boolean autoRepaintMode)`
`void`
`setRepaintRectangle(org.eclipse.swt.graphics.Rectangle rect)`

### Methods inherited from class org.pushingpixels.trident.Timeline

`abort, addCallback, addPropertyToInterpolate, addPropertyToInterpolate, addPropertyToInterpolate, cancel, cancelAtCycleBreak, end, getDuration, getDurationFraction, getId, getMainObject, getName, getState, getTimelinePosition, isDone, playLoop, playLoopSkipping, playLoopSkipping, playReverseSkipping, playSkipping, property, removeCallback, resetDoneFlag, resume, setCycleDelay, setDuration, setEase, setInitialDelay, setName, setSecondaryID, supportsReplay, suspend, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SWTRepaintTimeline

public SWTRepaintTimeline(org.eclipse.swt.widgets.Control mainTimelineComp)

### SWTRepaintTimeline

public SWTRepaintTimeline(org.eclipse.swt.widgets.Control mainTimelineComp, org.eclipse.swt.graphics.Rectangle toRepaint)

## Method Details

### forceRepaintOnNextPulse

public void forceRepaintOnNextPulse()

### setAutoRepaintMode

public void setAutoRepaintMode(boolean autoRepaintMode)

### setRepaintRectangle

public void setRepaintRectangle(org.eclipse.swt.graphics.Rectangle rect)

### play

public void play()

Specified by:
  `play` in interface `TimelineScenario.TimelineScenarioActor`
Overrides:
  `play` in class `Timeline`

### playReverse

public void playReverse()

Overrides:
  `playReverse` in class `Timeline`

### replay

public void replay()

Overrides:
  `replay` in class `Timeline`

### replayReverse

public void replayReverse()

Overrides:
  `replayReverse` in class `Timeline`

### playLoop

public void playLoop(int loopCount, Timeline.RepeatBehavior repeatBehavior)

Overrides:
  `playLoop` in class `Timeline`